DataManagement
Date: 2012-07-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.application.aquamaps.aquamapsservice.impl
Class DataManagement

    java.lang.Object
      GCUBEPortType
          org.gcube.application.aquamaps.aquamapsservice.impl.DataManagement

    public class DataManagement

extends GCUBEPortType

Constructor Summary
`DataManagement()`

Method Summary
`java.lang.String` | `analyzeTables(org.gcube.application.aquamaps.datamodel.Analysis arg0)`
`VOID` | `deleteAnalysis(java.lang.String arg0)`
`boolean` | `deleteCustomQuery(java.lang.String arg0)`
`VOID` | `editHSPECGroupDetails(HspecGroupGenerationRequestType arg0)`
`org.gcube.application.aquamaps.datamodel.Resource` | `editResource(org.gcube.application.aquamaps.datamodel.Resource arg0)`
`java.lang.String` | `exportCustomQuery(java.lang.String arg0)`
`java.lang.String` | `exportResource(int arg0)`
`java.lang.String` | `exportTableAsCSV(java.lang.String arg0)`
`java.lang.String` | `generateHSPECGroup(HspecGroupGenerationRequestType arg0)`
`int` | `generateMaps(GenerateMapsRequestType arg0)`
`FieldArray` | `getDefaultSources(VOID arg0)`
`GetGenerationLiveReportResponseType` | `getGenerationLiveReportGroup(StringArray ids)`
`int` | `getImportStatus(int arg0)`
`java.lang.String` | `getJSONSubmittedAnalysis(PagedRequestSettings arg0)`
`java.lang.String` | `getJSONSubmittedHSPECGroup(PagedRequestSettings arg0)`
`int` | `importResource(ImportResourceRequestType arg0)`
`FieldArray` | `isCustomQueryReady(java.lang.String arg0)`
`java.lang.String` | `loadAnalysis(java.lang.String arg0)`
`RemoveHSPECGroupGenerationRequestResponseType` | `removeHSPECGroup(RemoveHSPECGroupGenerationRequestResponseType arg0)`
`VOID` | `removeResource(int arg0)`
`java.lang.String` | `resubmitGeneration(java.lang.String arg0)`
`VOID` | `setCustomQuery(SetUserCustomQueryRequestType arg0)`
`java.lang.String` | `viewCustomQuery(ViewCustomQueryRequestType arg0)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataManagement

    public DataManagement()

Method Detail

### generateMaps

    public int generateMaps(GenerateMapsRequestType arg0)
                     throws java.rmi.RemoteException,
                            GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### generateHSPECGroup

    public java.lang.String generateHSPECGroup(HspecGroupGenerationRequestType arg0)
                                        throws java.rmi.RemoteException,
                                               GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### getJSONSubmittedHSPECGroup

    public java.lang.String getJSONSubmittedHSPECGroup(PagedRequestSettings arg0)
                                                throws java.rmi.RemoteException,
                                                       GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### getGenerationLiveReportGroup

    public GetGenerationLiveReportResponseType getGenerationLiveReportGroup(StringArray ids)
                                                                     throws java.rmi.RemoteException,
                                                                            GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### removeHSPECGroup

    public RemoveHSPECGroupGenerationRequestResponseType removeHSPECGroup(RemoveHSPECGroupGenerationRequestResponseType arg0)
                                                                   throws java.rmi.RemoteException,
                                                                          GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### getDefaultSources

    public FieldArray getDefaultSources(VOID arg0)
                                 throws java.rmi.RemoteException,
                                        GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### editResource

    public org.gcube.application.aquamaps.datamodel.Resource editResource(org.gcube.application.aquamaps.datamodel.Resource arg0)
                                                                   throws java.rmi.RemoteException,
                                                                          GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### editHSPECGroupDetails

    public VOID editHSPECGroupDetails(HspecGroupGenerationRequestType arg0)
                               throws java.rmi.RemoteException,
                                      GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### exportResource

    public java.lang.String exportResource(int arg0)
                                    throws java.rmi.RemoteException,
                                           GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### removeResource

    public VOID removeResource(int arg0)
                        throws java.rmi.RemoteException,
                               GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### setCustomQuery

    public VOID setCustomQuery(SetUserCustomQueryRequestType arg0)
                        throws java.rmi.RemoteException,
                               GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### deleteCustomQuery

    public boolean deleteCustomQuery(java.lang.String arg0)
                              throws java.rmi.RemoteException,
                                     GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### getImportStatus

    public int getImportStatus(int arg0)
                        throws java.rmi.RemoteException,
                               GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### importResource

    public int importResource(ImportResourceRequestType arg0)
                       throws java.rmi.RemoteException,
                              GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### viewCustomQuery

    public java.lang.String viewCustomQuery(ViewCustomQueryRequestType arg0)
                                     throws java.rmi.RemoteException,
                                            GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### isCustomQueryReady

    public FieldArray isCustomQueryReady(java.lang.String arg0)
                                  throws java.rmi.RemoteException,
                                         GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### exportTableAsCSV

    public java.lang.String exportTableAsCSV(java.lang.String arg0)
                                      throws java.rmi.RemoteException,
                                             GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### analyzeTables

    public java.lang.String analyzeTables(org.gcube.application.aquamaps.datamodel.Analysis arg0)
                                   throws java.rmi.RemoteException,
                                          GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### getJSONSubmittedAnalysis

    public java.lang.String getJSONSubmittedAnalysis(PagedRequestSettings arg0)
                                              throws java.rmi.RemoteException,
                                                     GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### loadAnalysis

    public java.lang.String loadAnalysis(java.lang.String arg0)
                                  throws java.rmi.RemoteException,
                                         GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### resubmitGeneration

    public java.lang.String resubmitGeneration(java.lang.String arg0)
                                        throws java.rmi.RemoteException,
                                               GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### deleteAnalysis

    public VOID deleteAnalysis(java.lang.String arg0)
                        throws java.rmi.RemoteException,
                               GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

### exportCustomQuery

    public java.lang.String exportCustomQuery(java.lang.String arg0)
                                       throws java.rmi.RemoteException,
                                              GCUBEFault

  Throws:
    `java.rmi.RemoteException`
    `GCUBEFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD